| Home | Libraries | People | FAQ | More

##### http::basic_parser::content_length_remaining

Returns the remaining content length if known.

###### Synopsis

    boost::optional< std::uint64_t >
    content_length_remaining() const;

###### Description

If the message header specifies a Content-Length, the return value will be the number of bytes remaining in the payload body have not yet been parsed.

###### Remarks

The return value is undefined unless `is_header_done` would return `true`.